Bug 193781 - RFE: Progress indication during relabel.
RFE: Progress indication during relabel.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-01 11:39 EDT by Dave Jones
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 10:52:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-06-01 11:39:44 EDT
With no feedback at all other than a blinking cursor during a relabel, users
have no idea that anything is actually making progress. On a system with a lot
of files, this can take upwards of 15-20 minutes in my experience.
It'd be nice to have some form of status as it goes and does its thing, similar
to how fsck have that nice..

\ [=======            ] 

indicator bar.
If figuring out how far along we are is too complicated, even the \|/- twiddler
would be better than what we have now.

There's a psychological effect at play here too.  Ted T'so mentioned once that
when they added this visual feedback to ext2.fsck, they got reports from users
how great it was that it now went faster than it used to, even though there had
been no other changes than the addition of the progress bar :-)
Comment 1 Daniel Walsh 2006-06-22 14:50:16 EDT
Changed the tool to print a "* every 1000 files and a new line every 80000 files.

Don't really know of anything better to do.

Dan

Note You need to log in before you can comment on or make changes to this bug.